#include <bits/stdc++.h>
using namespace std;
int a[100005];
int b[100005];
int main(){
    int n,m;
    cin>>n>>m;
    for(int i=0; i<n;++i) cin>>a[i];
    int mn=1000000009;
    for(int i=0;i<(1<<n);++i){
            int sum=0;
            for (int j=0;j<n;++j){
                if((i&(1<<j))!=0){
                    for(int k=0; k<m;++k) if(k<a[j]) b[k]++;
                }
                else{
                    for(int k=0; k<m;++k) if(a[j]<=k) b[k]++;
                }
            }
            for(int k=0; k<m;++k){
                    sum+=b[k]*(n-b[k]);
                    b[k]=0;
            }
            if(sum<mn) mn=sum;
    }
    cout<<mn;
    return 0;
}